let scene = new THREE.Scene();
let camera = new THREE.PerspectiveCamera(
    75,
    window.innerWidth / window.innerHeight,
    0.1, 1000
);
const renderer = new THREE.WebGLRenderer({antialias:true});
renderer.setSize(window.innerWidth,window.innerHeight);
document.body.appendChild(renderer.domElement);

// Search on three.js in docs for "BoxGeometry"

const geometry = new THREE.BoxGeometry( 2, 2, 2 );
const material = new THREE.MeshBasicMaterial( {color: 0x00ff00} );
const cube = new THREE.Mesh( geometry, material );
scene.add( cube );
camera.position.z=5;

function animate(){
    requestAnimationFrame(animate);
    renderer.render(scene, camera);
    cube.rotation.x+=0.01;
    cube.rotation.y+=0.01;
}

animate();